#!/bin/sh

if [ "x$JAVA_HOME" = "x" ]; then
	echo " Error: please set JAVA_HOME environment first!"
	exit 1;
fi

# cygwin compatiable
cygwin=false;
case "`uname`" in  CYGWIN*)
  cygwin=true ;
esac

MAIN_CLASS=org.jfox.ioc.Stop

HOTSPOT=`java -version 2>&1 | grep HotSpot`"x"
if [ "$HOTSPOT" != "x" ]; then
       HOTSPOT="-server"
else
       HOTSPOT=""
fi

JFOX_CLASSPATH=../jfoxco/classes
if $cygwin; then
  JFOX_CLASSPATH=`cygpath --path --windows "$JFOX_CLASSPATH"`
fi

if $cygwin; then
  JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
fi

echo "======================================="
echo "  JFox IoC Kernel"
echo "  JAVA_HOME: $JAVA_HOME"
echo "======================================="

$JAVA_HOME/bin/java $HOTSPOT $JFOX_MEMORY_OPTS -classpath $JFOX_CLASSPATH $MAIN_CLASS