@echo off

if "%JFOXCO_HOME%" == ""  SET JFOXCO_HOME=..
if "%JFOXCO_COMMON_LIBS%" == "" SET JFOXCO_COMMON_LIBS=JFOXCO_HOME%/common
if "%JFOXCO_MODULES_DIR%" == "" SET MODULES_DIR=%JFOXCO_HOME%/plugins

SET MAIN_CLASS=org.jfox.ioc.Startup

if not "%JAVA_HOME%" == "" goto JFOXCO_CLASSPATH
echo JAVA_HOME is not set.
echo please set JAVA_HOME enironment viriable first.
goto EXIT

:JFOXCO_CLASSPATH
SET JFOXCO_CLASSPATH=%JFOXCO_CLASSPATH%;%JFOXCO_HOME%/conf;%JFOXCO_HOME%/classes;%JFOXCO_HOME%/lib/log4j-1.2.8.jar;%JFOXCO_HOME%/lib/commons-logging.jar;%JFOXCO_HOME%/lib/jgroups/jgroups-all.jar;%JFOXCO_HOME%/lib/jgroups/concurrent.jar;
goto JFOX_MEMORY_OPTS

:JFOX_MEMORY_OPTS
SET JFOX_MEMORY_OPTS=-Xms128m -Xmx512m
goto JFOX_GC_OPTS

:JFOX_GC_OPTS
SET JFOX_GC_OPTS=
goto RUN

:RUN
echo =======================================
echo   JFox IoC Kernel
echo   JAVA_HOME: %JAVA_HOME%
echo   Memory Options: %JFOX_MEMORY_OPTS%
echo   GC Options: %JFOX_GC_OPTS%
echo =======================================

%JAVA_HOME%\bin\java -server -DJFOXCO_HOME=%JFOXCO_HOME% -DJFOXCO_COMMON_LIBS=%JFOXCO_COMMON_LIBS% %JFOX_MEMORY_OPTS% -classpath %JFOXCO_CLASSPATH% %MAIN_CLASS% %JFOXCO_MODULES_DIR%

@echo on

:EXIT
@echo on
