package org.jfox.ioc;

import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;

/**
 * ĻȡʵʱRegistry
 *
 * @author <a href="mailto:yy.young@gmail.com">Young Yang</a>
 */

public class ComponentContext {

    private String module;
    
    /**
     * ڵģ
     */
    private String moduleDesc;

    /**
     * ģڵĿ¼
     */
    private String moduleDir;

    /**
     * Ƿ
     */
    private boolean singleton;

    /**
     * Ƿ
     */
    private boolean typeSingleton;

    /**
     * ûõ
     */
    private HashMap attributes = new HashMap();

    private Registry registry;

    public ComponentContext() {
    }
    
    /**
     * @return Returns the module.
     */
    public String getModule() {
        return module;
    }

    /**
     * @param module The module to set.
     */
    void setModule(String module) {
        this.module = module;
    }

    public String getModuleDesc() {
        return moduleDesc;
    }

    void setModuleDesc(String module) {
        this.moduleDesc = module;
    }

    public String getModuleDir() {
        return moduleDir;
    }

    void setModuleDir(String moduleDir) {
        this.moduleDir = moduleDir;
    }

    public boolean isSingleton() {
        return singleton;
    }

    void setSingleton(boolean singleton) {
        this.singleton = singleton;
    }

    public boolean isTypeSingleton() {
        return typeSingleton;
    }

    void setTypeSingleton(boolean typeSingleton) {
        this.typeSingleton = typeSingleton;
    }

    /**
     * õԶԵ
     */
    public Iterator getAttributeNames() {
        return Collections.unmodifiableMap(new HashMap(attributes)).keySet()
                .iterator();
    }

    /**
     * ĵûԶԡѾڣḲ
     * 
     * @param name
     * @param value
     */
    public synchronized void setAttribute(String name, Object value) {
        attributes.put(name, value);
    }

    /**
     * ɾһѾõûԶ
     * 
     * @param name
     * @return ɾԶԵֵ
     */
    public synchronized Object removeAttribute(String name) {
        return attributes.remove(name);
    }

    /**
     * ȡԶԵֵ
     * 
     * @param name
     * @return ԶԵֵ
     */
    public Object getAttribute(String name) {
        return attributes.get(name);
    }

    public Registry getRegistry() {
        return registry;
    }

    void setRegistry(Registry registry) {
        this.registry = registry;
    }

    public static void main(String[] args) {

    }
}

