package org.jfox.ioc.classloader;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * @author <a href="mailto:yy.young@gmail.com">Young Yang</a>
 */

public class PrivateURLClassLoader extends URLClassLoader {

    public PrivateURLClassLoader(URL[] urls, ClassLoader parent) {
        super(urls, parent);
    }

    protected void addURL(URL url) {
        super.addURL(url);
    }

    protected synchronized Class<?> loadClass(String name, boolean resolve) throws ClassNotFoundException {
        return super.loadClass(name, resolve);
    }

    protected Class<?> findClass(String name) throws ClassNotFoundException {
        return super.findClass(name);
    }

}
