/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.connector;

import java.lang.reflect.Method;

/**
 * Handler һЭӦ磺һEJB Container
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Handler {

    /**
     * HandlerInvocation
     * @return
     */
    Class getInvocationClass();

    /**
     * HandlerӦContainer
     * @return
     */
    Container getContainer();

    /**
     * execute the invcation
     * @param invocation
     * @return
     * @throws Throwable
     */
    Object execute(Invocation invocation) throws Throwable ;

	Method getMethodByHash(String hashId);
}
