/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.connector;

import java.io.Serializable;
import java.lang.reflect.Method;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Invocation extends Serializable{
    /**
     * @return Ҫִеķ hash,  hash Ψһı־һ method
     */
    String getMethodHash();

    Object[] getArgs();

    /**
     * ҪõԶ̶id
     * @return
     */
    ObjectId getObjectId();

    /**
     *  Bucket ȡǵ Method ֮󣬰 Method õ Invocation 
     *
     * @param method
     */
    void setMethod(Method method);

    Method getMethod();

    /**
     * ִи Invocation Ķ
     * @param targetObject
     */
    void setTargetObject(Object targetObject);

    Object getTargetObject();

	/**
	 * øǷҪȺȺĻִ֮󣬻Ḵƶֵܼӽ
	 */
	void setClustable(boolean clustable);
	boolean isClustable();
}
