/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.connector;

import java.io.Serializable;

import org.jfox.ioc.util.ObjectUUID;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ObjectId implements Serializable {

	protected ObjectUUID uuid;

	public ObjectId(ObjectUUID uuid) {
		this.uuid = uuid;
	}

	/**
	 * is this ObjectId's VM in
	 *
	 * @return boolean
	 */
	public boolean isCurrentVM() {
		return uuid.getVMID().isCurrentVM();
	}

	public String toString() {
		return uuid.toString();
	}

	public static void main(String[] args) {

	}
}
