/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import javax.ejb.EJBMetaData;

import org.jfox.ejb.meta.EJBDescriptor;

/**
 * һ bucket 
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface BucketMeta {
    /**
     * õ EJBMetaData 򵥵 Bean Ϣ
     *
     * @return
     */
    EJBMetaData getEJBMetaData();

    /**
     * õ BeanBucket  ejb  bean class
     *
     * @return
     */
    Class getBeanClass();

    /**
     * õ Bean ĲϢ
     *
     * @return
     */
    EJBDescriptor getEJBDescriptor();
}