package org.jfox.jetty;

import java.io.IOException;
import java.net.URL;

import org.mortbay.jetty.Server;
import org.mortbay.j2ee.session.Manager;

/**
 * @author <a href="mailto:yy.young@gmail.com">Young Yang</a>
 */
public class JettyServer extends Server {
    protected Manager _distributableSessionManagerPrototype;
    protected boolean _forceDistributable = false;

    public JettyServer(String configuration) throws IOException {
        super(configuration);
    }

    public JettyServer(URL configuration) throws IOException {
        super(configuration);
    }
    public void setDistributableSessionManagerPrototype(Manager manager) {
        _distributableSessionManagerPrototype = manager;
    }

    public Manager getDistributableSessionManagerPrototype() {
        return _distributableSessionManagerPrototype;
    }

    public boolean getForceDistributable() {
        return _forceDistributable;
    }

    public void setForceDistributable(boolean distributable) {
        _forceDistributable = distributable;
    }

    public static void main(String[] args) {

    }
}
