/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.jetty.cluster;

import org.jfox.ioc.connector.AbstractInvocation;
import org.jfox.ioc.connector.ObjectId;

/**
 * Я HttpSession 仯Ϣ
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class HttpSessionInvocation extends AbstractInvocation {

    private String sessionId = null;
    private Integer methodId = null;


    public HttpSessionInvocation(ObjectId objectId, String methodHash, Object[] args) {
        super(objectId, methodHash, args);
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Integer getMethodId() {
        return methodId;
    }

    public void setMethodId(Integer methodId) {
        this.methodId = methodId;
    }

    public static void main(String[] args) {

    }
}
