package org.jfox.examples.ejb.mdb;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class TestMDB implements MessageDrivenBean, MessageListener {
    public TestMDB() {
    }

    public void onMessage(Message message) {
        System.out.println("receive message: " + message);
    }

    public void ejbRemove() throws EJBException {
        System.out.println("TestMDB.ejbRemove");
    }

    public void setMessageDrivenContext(MessageDrivenContext messageDrivenContext) throws EJBException {
        System.out.println("TestMDB.setMessageDrivenContext");
    }

    public void ejbCreate() throws CreateException {
        System.out.println("TestMDB.ejbCreate");
    }
}
