/*
 * Copyright (c) 2005 Your Corporation. All Rights Reserved.
 */

package org.jfox.ioc;

import java.net.URLConnection;
import java.net.URL;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class Stop {

    private static String protocol = "http";
    private static String port = "8080";
    private static String host = "localhost";
    private static String servletUrl = "/console/servlet/org.jfox.ioc.management.http.InvokeServlet?componentname=org.jfox.ioc.common.ShutdownHook&operHashCode=-1250380938475170858";

    public static void main(String[] args) throws Exception {
        System.out.println("usage: stop [server]");
        if(args == null || args.length == 0) {
            System.out.println("default stop jfoxco ioc kernel locahost!");
        }
        else {
            host = args[0];
            System.out.println("stop jfoxco ioc kernel " + host + "!");
        }

        String _url = protocol + "://" + host + ":" + port + "/" + servletUrl;

        URL url = new URL(_url);

        URLConnection conn = url.openConnection();
        conn.setDoInput(true);
        try {
            conn.connect();
            
        }
        catch(Exception e) {
            System.out.println("cannot connect server " + host + ".");
            System.exit(0);
        }
        try {

            conn.getContent();
        }
        catch(Exception e) {
//            e.printStackTrace();
        }

        System.out.println("stop " + host + " successfully.");

    }
}
