/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.deployment;

import org.jfox.ioc.deploy.DeployException;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Deployer {

    /**
     * deploy a component: ear, ebj jar, web ear or a common componnet
     *
     * @param comp
     * @throws org.jfox.ioc.deploy.DeployException
     */
    void deploy(Deployable comp) throws DeployException;

    void undeploy(Deployable comp) throws DeployException;
}
