/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.component;

import org.jfox.ioc.ComponentContext;
import org.jfox.ioc.annotation.Managable;
import org.jfox.ioc.ext.ManagableComponent;

/**
 *
 * managable component example
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class TestComponentE implements ManagableComponent {

    public void setComponentContext(ComponentContext ctx) {
    }

    @Managable
    public String getName() {
        return "";
    }

    @Managable
    public void setName(String name) {
    }

    public static void main(String[] args) {

    }
}

