/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ioc.extra;

import junit.framework.TestCase;
import org.jfox.ioc.component.TestComponentE;
import org.jfox.ioc.management.ManagementInfo;
import org.jfox.ioc.management.ManagementOperationInfo;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ManagementInfoTest extends TestCase {


    protected void setUp() throws Exception {
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void testManagementInfo(){
        ManagementInfo info = ManagementInfo.getManagementInfoByAnnotation(TestComponentE.class);
        ManagementOperationInfo[] moi = info.getAllManagementOperationInfos();
        assertEquals(moi.length,2);
    }

}

