/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.lang.reflect.Method;

import org.jfox.ejb.connector.EJBConnectorInvoker;
import org.jfox.ejb.connector.EJBInvocation;
import org.jfox.ioc.connector.ConnectorRemote;
import org.jfox.ioc.connector.ObjectId;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class MDBConnectorInvoker extends EJBConnectorInvoker {

    public MDBConnectorInvoker(ObjectId clientId, ConnectorRemote remote) {
        super(clientId, remote);
    }

    protected Object doInvoke(Object proxy, Method method, Object[] args) throws Throwable {
        // ˵ onMessage ͻ˷첽Ϣ
        if(method.getName().equals("onMessage")) {
            EJBInvocation invocation = new EJBInvocation(getClientId(), getMethodHash(method), args);
            return remote.invoke(invocation);
        }
        else {
            throw new Exception("invalid method call " + method.getName());
        }

    }

    public static void main(String[] args) {

    }
}
