/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import javax.ejb.MessageDrivenBean;

import org.jfox.pool.PoolableObject;

/**
 *  MDBObjectPool  MDB ʵ
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class MDBObjectFactory extends EJBObjectFactory {

    public MDBObjectFactory(Class classType,Bucket bucket) throws Exception {
        super(classType, bucket);
    }

    // the object maybe have invoked ejbCreate, if so, must call ejbRemove
    public void destroyObject(PoolableObject object) throws Exception {
        super.destroyObject(object);
        // if the poolable object has called the ejbCreate
        if(((StatelessPoolableObject) object).isEjbCreated()) {
            getBucket().ejbRemove((MessageDrivenBean) ((MDBPoolableObject) object).getBeanInstance());
        }
    }

    public static void main(String[] args) {

    }
}