/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb.connector;

import org.jfox.ejb.Bucket;
import org.jfox.ejb.EJBObjectId;
import org.jfox.ioc.connector.ClusterableContainer;
import org.jfox.ioc.connector.Invocation;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ClusterableEJBContainerImpl extends EJBContainerImpl implements ClusterableContainer{

    public ClusterableEJBContainerImpl() {

    }

	/**
	 * ͬȺڵ㸴ƹĶ
	 * ö󻺴ڱصĻ
	 * @param invocation
	 */
    public void syncInvocation(Invocation invocation) {
		EJBObjectId ejbObjectId = (EJBObjectId) invocation.getObjectId();
		// Home ãͬ
		if(ejbObjectId.isHome()){
			return;
		}
		logger.debug("syncInvocation " + ejbObjectId);
		String ejbName = ejbObjectId.getEjbName();
		Bucket bucket = getBucket(ejbName);
		bucket.syncBean((EJBInvocation)invocation);
    }

    public static void main(String[] args) {

    }
}
