/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb.connector;

import javax.ejb.EnterpriseBean;

import org.jfox.ioc.connector.AbstractInvocation;
import org.jfox.ioc.connector.ObjectId;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class EJBInvocation extends AbstractInvocation {

    public EJBInvocation(ObjectId objectId, String methodHash, Object[] args) {
        super(objectId, methodHash, args);
    }

    /**
     * ִи EJBInvocation  Enterprise Bean
     */
    public void setBean(EnterpriseBean instance) {
       setTargetObject(instance);
    }

    public EnterpriseBean getBean() {
        return (EnterpriseBean)getTargetObject();
    }
    public static void main(String[] args) {

    }
}
