/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.ejb.handler;

import org.jfox.ejb.connector.EJBInvocation;

/**
 * طĵãڵ֮ǰ֮һƣעⲻӦøı invocation ֵ
 * <p/>
 * ʹ Interceptor ־ܷߵ
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */


public interface Interceptor extends ContainerPlugin {

    /**
     * ִ Home ֮ǰĿ
     *
     * @param invocation
     * @throws Exception
     */
    void preInvokeHome(final EJBInvocation invocation) throws Exception;

    /**
     * ִ Bean ֮ǰĿ
     *
     * @param invocation
     * @throws Exception
     */
    void preInvokeBean(final EJBInvocation invocation) throws Exception;

    /**
     * ִ Home ֮Ŀ
     *
     * @param invocation
     * @throws Exception
     */
    void postInvokeHome(final EJBInvocation invocation) throws Exception;

    /**
     * ִ Bean ֮Ŀ
     *
     * @param invocation
     * @throws Exception
     */
    void postInvokeBean(final EJBInvocation invocation) throws Exception;

}