/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.jms.connector;

import java.lang.reflect.Method;

import org.jfox.ioc.connector.AbstractConnectorInvoker;
import org.jfox.ioc.connector.ConnectorRemote;
import org.jfox.ioc.connector.ObjectId;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class JMSConnectorInvoker extends AbstractConnectorInvoker {

	public JMSConnectorInvoker(ObjectId clientId, ConnectorRemote remote) {
		super(clientId, remote);
	}

	protected Object doInvoke(Object proxy, Method method, Object[] args) throws Throwable {
		JMSInvocation invocation = new JMSInvocation(getClientId(), getMethodHash(method), args);
		return remote.invoke(invocation);
	}

	public static void main(String[] args) {

	}
}
